[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDBGrid.Visible

Visible controls whether the grid control is visible.

## Declaration

Source position: dbgrids.pas line 636

`published property TDBGrid.Visible : Boolean;`

## Description

The Visible property controls the ability to see a visual control. If Visible is True the control is shown otherwise it is hidden. Calling Show sets among other properties Visible to True. Setting Visible to False is equivalent to calling Hide method.

Remark: | The Visible property does not depend on control's parent visibility. Use IsVisible method to consider this and get real visibility.

## See also

TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.